Activate customer referrals
POST
Activates Refer & Earn and returns your workspace's eight-character referral code.
Access: User session: workspace admin or owner. API keys aren't supported.
- Returns
503 referrals_pausedwhile Refer & Earn is coming soon. - Repeated activation returns the same code. Activation alone does not award credit or earnings.
header
AuthorizationBearer <token>Send Authorization: Bearer <token>. A token is an API key (lb_live_…, scoped, for programs) or a session (lb_sess_…, from signup or login, for people). See Authentication above.
X-Org-ID?stringSessions only: act on this organization (you must be a member). Default: your first organization.
application/json- body
Successful response.
application/json- response
id*stringcode*stringMatch
^[A-HJ-NP-Z2-9]{8}$partner_status*stringValue in
"not_applied""pending""approved""rejected""suspended"website*stringdescription*stringreview_reason*stringcreated_at*stringFormat
date-timeapplied_at*|Format
date-timereviewed_at*|Format
date-timecurl -X POST 'https://layerbeat.com/v1/affiliates' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "aff_abcdefghijklmnopqrstuvwxyz", "code": "K7M4Q9TR", "partner_status": "not_applied", "website": "", "description": "", "review_reason": "", "created_at": "2026-10-03T12:00:00Z", "applied_at": null, "reviewed_at": null}